@import '../basic.css';  

:root {
    --main-markets-dark-color: #0e253b;
    --main-markets-light-color: #00dcc8;
    --admonitions-title-markets-color: #02b1ff;
    --admonitions-background-markets-color: #daf4ff;
    --links-markets-color: #1f6ee4;
    --markets-background-light: #263c4e;
  }


div.admonition {
    margin-top: 10px;
    margin-bottom: 10px;
    padding: 7px;
}

/* -- hover image container ---------------------------------------------------------- */
div.box {
    margin-bottom: 0px;
    margin-top: 0px;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

/* -- mainpage, template, basic pool graphic hover on ---------------------------------------------------------- */
div.templ {
    position: relative;
}

div.templ:hover .templhover {
    opacity: 1
}

div.templhover{
    opacity: 0;
    position: absolute;
    top: -8px;
    transition: opacity 300ms;
 }

div.templhover.templhover-basic{
    top: -24px !important;
}

/* header color */
.wy-side-nav-search{
    background-color: var(--main-markets-dark-color);
}

/* navbar body background color */

.wy-nav-side{
    background-color: var(--markets-background-light);
}

/* navigation title */
.wy-menu.wy-menu-vertical p {
    color: #02b1ff;
}

/* currently chosen menu color */
.wy-menu-vertical li.current>a, .wy-menu-vertical li.on a {
    background-color: var(--main-markets-light-color);
}

/* admonitions headers and body color */
div.admonition.important, .rst-content .admonition {
    background-color: var(--admonitions-background-markets-color);
}

.admonition.important-title, .rst-content .admonition-title, .wy-alert-title {
    background-color: var(--admonitions-title-markets-color);
}

.rst-content .important .admonition-title {
    background: var(--admonitions-title-markets-color);
}

.admonition.warning {
    background-color: #ffedcc;
}

/* links colors */

.toctree-wrapper.compound a, #indices-and-tables a, .section a, a.external {
    color: var(--links-markets-color);
}

p a.reference.external, div a.reference.external {
    color: var(--links-markets-color);
}

/* our products link colors -------------------------------------*/
/* launch.vote */
#our-products a[href="https://financevote.readthedocs.io/projects/auction/en/latest/"] {
    color: #ee265d;
}

/* bank.vote */
#our-products a[href="https://financevote.readthedocs.io/projects/bank/en/latest/"] {
    color: black;
}

/* influence.vote */
#our-products a[href="https://financevote.readthedocs.io/projects/influence/en/latest/"] {
    color: #922ed6;
}

/* markets.vote */
#our-products a[href="https://financevote.readthedocs.io/projects/markets/en/latest/"] {
    color: #1f6ee4;
}

/* yield.vote */
#our-products a[href="https://financevote.readthedocs.io/projects/yield/en/latest/"] {
    color: #009246;
}


/* back to main page */
#back-to-main-page a {
    color: #00dcc8;
}